Forum Post
Index > Scribe > Crash & losing focus

Author/Date Crash & losing focus
Kai
13/01/2007 2:20pm
Scribe looks like my next email client, wonderful! Two thing I noticed during the first test:

- when I press CTRL+W on the Summary screen (I selected the mailbox on the tree to the left) Scribe crashes. What is CTRL+W supposed to do? (pressed it by accident)

- When I navigate (with the keyboard) to the mailbox the keyboard loses foucs. I have to click a folder with the mouse to be able to navigate folders via the keyboard again. Is this intentional..?

Thanks for any help!

Kai
Kai
13/01/2007 2:26pm
(using stable 1.88 and 1.89 test11 releases)
Kai
13/01/2007 2:39pm
The crashdata might also come in handy:


Unhandled Exception
Code: c0000005
Description: EXCEPTION_ACCESS_VIOLATION

Call stack:
------------------------------------------------------------------
10018CEA: D:\Download\iscribe-win32-v188\Lgi.dll Offset: 0x0 (GView::Lock)
0040CD6B: D:\Download\iscribe-win32-v188\Scribe.exe Offset: 0xB9A (ScribeWnd::OnCommand)
100074FA: D:\Download\iscribe-win32-v188\Lgi.dll Offset: 0x6E (GMenu::OnKey)
77D18734: C:\WINDOWS\system32\USER32.dll Offset: 0x6D (GetDC)
10016273: D:\Download\iscribe-win32-v188\Lgi.dll Offset: 0x4F (GApp::Run)
0041205F: D:\Download\iscribe-win32-v188\Scribe.exe Offset: 0x181F (ScribeWnd::MailMerge)
7C816FD7: C:\WINDOWS\system32\kernel32.dll Offset: 0x49 (RegisterWaitForInputIdle)
------------------------------------------------------------------

fret
13/01/2007 9:00pm
This is fixed for the next build. Ctrl+W is the shortcut for forwarding an email. When the summary page is selected there is no list control active and I wasn't checking that the pointer to the GList wasn't NULL.

So I've fixed that and also gone through all the similar accesses in the main window object and fixed some other instances as well.

Thanks for the bug report.
Kai
14/01/2007 10:24am
Great!
You just got yourself another registered user with the next release. :-)
Kai
11/02/2007 10:54am
Whoops, clicking the summary page in Test12 still makes the keyboard lose focus.. ;) (pointer to GList still NULL?)
Reply